<?
include('inc/start_sess.php');
include('inc/functions.php');
include('inc/head.php');
echo "<div class='block'>";
if(isset($_GET['go'])){
	$go=@base64_decode($_GET['go']);
	if(substr_count($go,'http://')){
		echo "
		Вы покидаете сайт ".strtoupper($_SERVER['HTTP_HOST'])." по внешней ссылке $go.<br/>
Администрация ".strtoupper($_SERVER['HTTP_HOST'])." не несет ответственности за содержимое сторонних сайтов.<br/>
Ссылка на внешний сайт: <a href='$go'>$go</a><br/>
Если Вы передумали, нажмите:<br/>
<a href='$_SERVER[HTTP_REFERER]'>Отмена</a><br/><br/>
<font color='#dd0000'>Внимание!</font><br/>
Настоятельно рекомендуем вам не указывать никаких своих данных на сторонних сайтах (особенно e-mail, ник и пароль).
Имейте в виду, что мошенники могут подделать внешний вид страниц ".strtoupper($_SERVER['HTTP_HOST'])." (например, страницу для Входа). Если вы введёте свой ник и пароль на такой поддельной странице, то они станут известны мошенникам.
Кроме того, сайт $go может содержать вирусы, трояны и другие вредоносные программы.<br/>
Если у Вас нет серьезных оснований доверять этому сайту, лучше всего на него не переходить, даже если Вы якобы получили эту ссылку от одного из Ваших друзей.
		";
header("Refresh:3, url=".base64_decode($_GET['go']));
		include 'inc/foot.php';
exit;
		}
	}
if (!isset($_GET['go']) || (mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `id` = '".intval($_GET['go'])."'"),0)==0 && !ereg('^https?://',@base64_decode($_GET['go']))))
{
header("Location: index.php?".SID);
exit;
}

if (ereg('^(ht|f)tps?://',base64_decode($_GET['go'])))
{
if (isset($_SESSION['adm_auth']))unset($_SESSION['adm_auth']);
header("Location: ".base64_decode($_GET['go']));
exit;
}
else
{

if (isset($_SESSION['adm_auth']))unset($_SESSION['adm_auth']);
header("Refresh: 2; url=$rekl[link]");



echo "За содержание рекламируемого ресурса<br />\n";
echo "администрация сайта ".strtoupper($_SERVER['HTTP_HOST'])." ответственности не несёт.<br />\n";
}
include_once 'inc/foot.php';
?>